linux下安装Mysql5.7出现的问题,搞了一天了!

出现了如下问题:
--> Finished Dependency Resolution
Error: Package: mysql-community-server-5.7.20-1.el7.x86_64 (mysql57-community)
Requires: libsasl2.so.3()(64bit)
Error: Package: mysql-community-client-5.7.20-1.el7.x86_64 (mysql57-community)
Requires: libstdc++.so.6(GLIBCXX_3.4.15)(64bit)
Error: Package: mysql-community-libs-5.7.20-1.el7.x86_64 (mysql57-community)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Error: Package: mysql-community-server-5.7.20-1.el7.x86_64 (mysql57-community)
Requires: systemd
Error: Package: mysql-community-server-5.7.20-1.el7.x86_64 (mysql57-community)
Requires: libstdc++.so.6(GLIBCXX_3.4.15)(64bit)
Error: Package: mysql-community-client-5.7.20-1.el7.x86_64 (mysql57-community)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Error: Package: mysql-community-server-5.7.20-1.el7.x86_64 (mysql57-community)
Requires: libc.so.6(GLIBC_2.17)(64bit)

试着装了一次mysql5.6没有问题,但是装5.7却出现了这个问题,求助!!

1个回答

我在CentOS上安装过,也许我的安装过程能够给你提供参考:
首先yum update更新一下
访问https://dev.mysql.com/downloads/repo/yum/
图片说明
下载图中那个rpm文件并上传自己linux任意位置
然后命令
yum localinstall 文件名
检查mysql源是否安装成功
yum repolist enabled | grep "mysql.*-community.*"
接下来就是开始安装了
命令:yum install mysql-community-server
启动MySQL服务,命令:
systemctl start mysqld
查看端口以及进程,命令:
netstat -nltp
如果出现如图:
图片说明
说明成功

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问